ndcctools.chirp Namespace Reference

Chirp distributed filesystem client - Python interface. More...

## Data Structures

class | Client
| Python Client object. More...
class | Stat
| Python Stat object. More...
class | AuthenticationFailure
class | GeneralFailure
class | TransferFailure
class | ChirpJobError

## Detailed Description

Chirp distributed filesystem client - Python interface.

The Chirp distributed filesystem is a user-level service to enable easy deployment of data across distributed systems. This interface permits clients to connect to and interact with servers. The objects and methods provided by this package correspond to the native C API in chirp_reli.h and chirp_swig_wrap.h

The SWIG-based Python bindings provide a higher-level interface that revolves around:

- ndcctools.chirp.Client
- ndcctools.chirp.Stat